## mhash 0.9.9.9

=== debian/changelog ===
mhash (0.9.9.9-4) unstable; urgency=low

  * disable multi-arch for -dev package (closes: #723667)
  * minor autotools patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Oct 2013 19:33:51 +0100

mhash (0.9.9.9-3) unstable; urgency=low

  * turn on multi-arch: same to allow co-existence
  * stop using dh-exec (see http://wiki.debian.org/Multiarch/Implementation)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jun 2013 14:13:58 +0100

mhash (0.9.9.9-2) unstable; urgency=low

  * debian/control:
    - add VCS field (collab-maint git repo)
    - add homepage field
    - bump standards version
    - add self as co-maintainer
  * Move to dh9, update packaging scripts accordingly
  * Use dh-autoreconf
  * Support multiarch using dh-exec
  * Switch to dpkg source format 3.0 (quilt)
  * Incorporate Fedora patches (closes: #649092)
  * Patch a spelling error

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jun 2013 09:43:43 +0100

mhash (0.9.9.9-1.1) unstable; urgency=low

  * NMU
  * lib/{whirlpool,snefru}.c: Fix mhash_deinit segfaults when digest is NULL

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Jan 2012 20:32:32 +0800

mhash (0.9.9.9-1) unstable; urgency=low

  * New upstream version.
  * include/mutils/mhash_config.h.in: Remove PACKAGE_ variables from
    include file.  (closes: Bug#473204)
  * include/mutils/mhash.h: Manually patch mhash_get_hash_name to return
    "char *".  (closes: Bug#354206)
  * debian/control: Bump standards-version to 3.8.3 (no changes).
  * Remove unused maintainer scripts.
  * debian/control, debian/compat: Use debhelper version 5.

 -- Chris Hanson <cph@debian.org>  Wed, 02 Dec 2009 02:56:36 -0800

mhash (0.9.9-1) unstable; urgency=low

  * New upstream version.
    - No longer contains non-free RFCs.  (closes: Bug#393398)
  * debian/rules: eliminate lintian warning
    debian-rules-ignores-make-clean-error.
  * debian/control: eliminate lintial error
    not-binnmuable-any-depends-any.

 -- Chris Hanson <cph@debian.org>  Sat, 21 Jul 2007 22:15:39 -0400

mhash (0.9.7.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pruning rfc's from the source package (Closes: 393398).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 21 Jul 2007 15:19:31 +0200

mhash (0.9.7-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Sun, 25 Jun 2006 21:49:23 -0400

mhash (0.9.6-3) unstable; urgency=low

  * Fix VERSION problem by renaming that variable to MHASH_VERSION.
    (closes: Bug#356490)

 -- Chris Hanson <cph@debian.org>  Wed, 31 May 2006 14:55:40 -0400

mhash (0.9.6-2) unstable; urgency=low

  * Attempt to fix #350088.  This patch looks correct when compared to
    version 0.9.1, so please test and report back to BTS.
  * debian/rules: Define MHASH_ROBUST when making package; this should
    convert segfaults (e.g. from #350088) into errors.
  * Considerably complicate patch to <mhash.h> in order to fix problems
    caused by previous patch.
  * Patch upstream typos in several files.
  * Bump standards-version to 3.7.2 (no changes).

 -- Chris Hanson <cph@debian.org>  Sun, 14 May 2006 01:03:43 -0400

mhash (0.9.6-1) unstable; urgency=low

  * New upstream version.  The last release opened several bugs (348604
    354206 350088) against this package, which remain open upstream.
    Please test and report the results back to BTS, as upstream needs to
    hear from us.  (Thanks to Marc Haber for forwarding the bug reports
    upstream -- I've been swamped with work and am having trouble keeping
    up.)
  * Patch <mhash.h> to work around problem with VERSION.  Fixes #356490,
    but the bug remains open.  I will reduce its severity until it is
    fixed upstream.

 -- Chris Hanson <cph@debian.org>  Tue, 21 Mar 2006 00:32:06 -0500

mhash (0.9.4a-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#342678)
  * patch upstream version: restore missing include file.
  * debian/copyright: update FSF address.
  * debian/control: bump standards-version (no changes).
  * debian/libmhash-dev.files: make sure all include files are moved.

 -- Chris Hanson <cph@debian.org>  Fri, 13 Jan 2006 23:24:34 -0500

mhash (0.9.1-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#263093)
  * Don't rebuild autoconf files to get static libraries.  Just pass args
    to configure script.

 -- Chris Hanson <cph@debian.org>  Tue, 30 Nov 2004 00:25:59 -0500

mhash (0.8.18-4) unstable; urgency=low

  * Bump version to work around failed upload.

 -- Chris Hanson <cph@debian.org>  Tue, 16 Dec 2003 14:29:11 -0500

mhash (0.8.18-2) unstable; urgency=low

  * Put libmhash.a back.  (closes: Bug#221797, Bug#222826)

 -- Chris Hanson <cph@debian.org>  Tue, 16 Dec 2003 12:54:36 -0500

mhash (0.8.18-1) unstable; urgency=low

  * New upstream version.  (Well, not so new really.)
  * Remove libmhash.a since it is no longer built by upstream.
  * Standards version 3.6.1 (no changes).

 -- Chris Hanson <cph@debian.org>  Fri, 31 Oct 2003 23:37:39 -0500

mhash (0.8.17-1) unstable; urgency=low

  * New upstream version.
  * Eliminate reference to dh_undocumented.
  * Use dh_installman rather than dh_installmanpages.
  * Add ${misc:Depends} reference.
  * Change section of libapm-dev to libdevel.
  * Eliminate unneeded local variables in debian/changelog.
  * Add support for "noopt" in DEB_BUILD_OPTIONS.
  * Change standards version to 3.5.9.
  * Update debian/rules according to latest advice from autotools-dev.

 -- Chris Hanson <cph@debian.org>  Tue, 1 Apr 2003 23:48:37 -0500

mhash (0.8.16-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Thu, 30 May 2002 16:37:07 -0400

mhash (0.8.14-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Fri, 29 Mar 2002 11:24:22 -0500

mhash (0.8.13-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Sun, 18 Nov 2001 23:27:05 -0500

mhash (0.8.12-1) unstable; urgency=low


