=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

export CPPFLAGS += -DMHASH_ROBUST

override_dh_installchangelogs:
	dh_installchangelogs NEWS
